Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.http
Class MuleSecureProtocolSocketFactory

    java.lang.Object
      org.mule.transport.http.MuleSecureProtocolSocketFactory

All Implemented Interfaces:
  ProtocolSocketFactory, SecureProtocolSocketFactory

    public class MuleSecureProtocolSocketFactory

extends Object
implements SecureProtocolSocketFactory

Constructor Summary
`MuleSecureProtocolSocketFactory(SSLSocketFactory factory)`

Method Summary
`Socket` | `createSocket(Socket socket, String host, int port, boolean autoClose)`
`Socket` | `createSocket(String host, int port)`
`Socket` | `createSocket(String host, int port, InetAddress localAddress, int localPort)`
`Socket` | `createSocket(String host, int port, InetAddress localAddress, int localPort, HttpConnectionParams params)`
`protected Socket` | `createSocketWithTimeout(String host, int port, InetAddress localAddress, int localPort, int timeout)` This is a direct version of code in `ReflectionSocketFactory`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MuleSecureProtocolSocketFactory

    public MuleSecureProtocolSocketFactory(SSLSocketFactory factory)

Method Detail

### createSocket

    public Socket createSocket(Socket socket,
                               String host,
                               int port,
                               boolean autoClose)
                        throws IOException,
                               UnknownHostException

  Specified by:
    `createSocket` in interface `SecureProtocolSocketFactory`
  Throws:
    `IOException`
    `UnknownHostException`

### createSocket

    public Socket createSocket(String host,
                               int port)
                        throws IOException,
                               UnknownHostException

  Specified by:
    `createSocket` in interface `ProtocolSocketFactory`
  Throws:
    `IOException`
    `UnknownHostException`

### createSocket

    public Socket createSocket(String host,
                               int port,
                               InetAddress localAddress,
                               int localPort)
                        throws IOException,
                               UnknownHostException

  Specified by:
    `createSocket` in interface `ProtocolSocketFactory`
  Throws:
    `IOException`
    `UnknownHostException`

### createSocket

    public Socket createSocket(String host,
                               int port,
                               InetAddress localAddress,
                               int localPort,
                               HttpConnectionParams params)
                        throws IOException,
                               UnknownHostException,
                               ConnectTimeoutException

  Specified by:
    `createSocket` in interface `ProtocolSocketFactory`
  Throws:
    `IOException`
    `UnknownHostException`
    `ConnectTimeoutException`

### createSocketWithTimeout

    protected Socket createSocketWithTimeout(String host,
                                             int port,
                                             InetAddress localAddress,
                                             int localPort,
                                             int timeout)
                                      throws IOException

  This is a direct version of code in `ReflectionSocketFactory`.

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.